Agent-readable docs index: /llms.txt. Full docs in one file: /llms-full.txt. Download /docs.zip to grep all markdown files locally.

List Recipients

List all recipients enrolled in a campaign with their current delivery status.
path idstringrequired
Campaign ID (UUID)
query pagenumberdefault: 1
Page number
query per_pagenumberdefault: 25
Results per page (1-100)
Request example
curl https://api.v2.dealmachine.com/v1/mail/campaigns/a1b2c3d4/recipients \ -H "Authorization: Bearer dm_sk_live_xxx"
Response example
{ "data": [ { "id": "1", "campaign_id": "a1b2c3d4", "internal_property_id": "12345", "recipient_name": "John Doe", "recipient_address_1": "123 Main St", "recipient_city": "Austin", "recipient_state": "TX", "recipient_zip": "78701", "status": "delivered", "current_step_order": 1, "created_at": "2026-03-02T10:00:00Z" } ], "pagination": { "page": 1, "per_page": 25, "total": 150, "has_more": true } }